.installbutton img {
	height: revert-layer
}

.app-title{
    font-size: 20px;
    padding: 0px;
    margin: 20px 0 10px;
}

.pwa-title{
    font-size: 20px;
    padding: 0px;
    margin: 20px 0px 5px;
}
.pwa-title + p{
    margin: 0 0 5px;
    font-weight: normal; 
}

/* Header styles */
.download-container .header {
    align-self: stretch;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.download-container .logo {
    font-size: 24px;
    font-weight: 600;
}


/* Card styles */
.download-container .card {
    width: 434px;
    height: 154px;
    position: relative;
    background: #224270;
    border-radius: 8px;
    overflow: hidden;
}

.download-container .card-content {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.download-container .card-badge {
    position: absolute;
    top: 0;
    left: 0;
    padding: 2px 4px;
    background: #DB3523;
    border-top-left-radius: 8px;
    border-bottom-right-radius: 8px;
    font-size: 15px;
}

.download-container .card-title {
    position: absolute;
    top: 18px;
    left: 14px;
    font-size: 20px;
    font-weight: 600;
}

.download-container .card-subtitle {
    position: absolute;
    top: 3px;
    right: 23px;
    font-size: 15px;
    font-weight: 510;
    text-transform: capitalize;
}
.download-container .card-subtitle {
    top: 10px;
    right: 24px;
}

.card-android-pwa .card-subtitle,  .card-ios-pwa .card-subtitle {
    left: 15px;
    top: 40px;
    font-weight: normal;
    max-width: 220px;
}

 .card-android-pwa .card-button, .card-ios-pwa .card-button{
    position: absolute;
    left: 15px;
    bottom: 15px;
}

 .install-button{
    position: absolute;
    padding: 5px;
    height: 43px;
    display: flex;
    align-items: center;
    gap: 5px;
    font-size: 15px;
    font-weight: 500;
    left: 10px;
    bottom:42px;
    flex-direction: column;
    justify-items: center;
}

.card-button {
    pointer-events: auto;
    z-index: 1;         
    opacity: 1;          
    visibility: visible;     
    background: black;
    border-radius: 4px;
    padding: 5px;
    display: flex;
    align-items: center;
    cursor: pointer;
    min-width: 120px;
    justify-content: center;
    pointer-events: auto;
    border: none;
}
.card-button label.installbutton{
    justify-content: center;
    align-items: center;
    display: flex;
    color: #fff;
    line-height: initial;
    padding: 1px;
    display: flex !important;
    cursor: pointer;
}
.card-button.th,  .card-button.vn {
    background: black;
    border-radius: 4px;
    padding: 5px;
    display: flex;
    align-items: center;
    z-index: 1;
    cursor: pointer;
    min-width: 180px;
    justify-content: center;
    max-width: 170px;
}
 .card-button img{
    margin-right: 8px;
}

 .card-image {
    position: absolute;
    right: 15px;
    top: 12px;
    border-radius: 10px;
}
.card-image.andoridphone{
    width: 40%;
}
.card-image.iosphone{
    width: 40%;
}

.card-android-pwa .card-image.iosphone{
    width: 100%;
}

.card-ios-pwa .card-image.andoridphone{
    width: 100%;
}
.card-image.qrcode{
    top: 32px;
    right: 32px;
    display: block;
}
.pwa-area{
    display: flex;
    flex-direction: row;
    gap: 15px;
}

/* Specific card styles */
.download-container .card-ios-android {
    background: #3D34A2;
}

.download-container .card-android-pwa {
    background: #93502B;
}

.download-container .card-ios-pwa {
    background: #077144;
}


/* PWA device mockup styles */
.pwa-device {
    position: absolute;
    right: 15px;
    top: 22px;
    width: 114px;
    height: 132px;
    background: #1E2024;
}
.pwa-device-screen {
    position: absolute;
    top: 20px;
    left: 2px;
    width: 110px;
    height: 108px;
    border-radius: 2px;
}

.pwa-device-camera {
    position: absolute;
    top: 8px;
    left: 18px;
    width: 5px;
    height: 5px;
    background: black;
    border-radius: 50%;
}

.pwa-device-speaker {
    position: absolute;
    top: 8px;
    left: 36px;
    width: 48px;
    height: 5px;
    background: black;
    border-radius: 50px;
}


        
.popup-checkbox {
    display: none !important;
}


.popup_app{
    display: none;
    position: fixed;
    z-index: 55;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.8);
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.5s ease, visibility 0.5s ease;
    -webkit-backdrop-filter: blur(8px); /* Safari */
    backdrop-filter: blur(8px); /* 标准 */
}




.popup-content {
    margin: 0 auto;
    padding: 20px;
    width: 90%;
    max-width: 1400px;
    border-radius: 10px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
    transform: scale(0.8);
    transition: transform 0.3s ease;
    opacity: 0;
}

.popup-checkbox:checked + .popup_app {
    display: block;
    opacity: 1;
    visibility: visible;
}

.popup-checkbox:checked + .popup_app .popup-content {
    transform: scale(1);
    opacity: 1;
}



@keyframes fadeInZoom {
    0% {
        opacity: 0;
        transform: scale(0.8);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}


    /* Close button */
    .popup_app .close {
        color: #aaa;
        font-size: 28px;
        font-weight: bold;
        position: absolute;
        right: 20px;
        top: 20px;
        cursor: pointer;
        transition: color 0.3s ease;
        display: flex;
        align-items: center;
        justify-content: center;
        background: rgb(51 51 51 / 55%);
        border-radius: 40px;
        width: 40px;
        height: 40px;
        }
    
        .popup_app .close:hover,
        .popup_app .close:focus {
            color: #000;
        }
        .popup-content.animated {
            animation: fadeInZoom 0.4s ease forwards;
        }
        @keyframes fadeInZoom {
            0% {
                opacity: 0;
                transform: scale(0.8);
            }
            100% {
                opacity: 1;
                transform: scale(1);
            }
        }



      
    /* popup content */


.download-container .title-container {
    display: flex;
    padding-bottom: 15px;
    padding-top: 15px;
}

.download-container .container h2{
    margin: 20px 0 10px;
}
.download-container .container .subtitle{
    margin: -5px 0 10px;
}

.download-container .title-container .logo {
    height: 100px;
    margin-right: 29px;
    width: 100px
}


.download-container .title-container .logo .logo-img {
    height: 100%;
}

.download-container .title-container .desc .main {
    background: linear-gradient(90deg, #00da87, #9b5bf5);
    -webkit-background-clip: text;
    font-size: 43px;
    font-weight: 700;
    letter-spacing: 0;
    line-height: 40px;
    -webkit-text-fill-color: transparent;
    padding-bottom: 8px
}

.download-container .title-container .desc .sub {
    color: #ffffffb3;
    font-size: 17px;
    font-weight: 400;
    letter-spacing: 0;
    line-height: 20px
}

.download-container .title-container .desc .badge {
    align-items: center;
    background: #9462f0;
    border-radius: 16px;
    color: #fff;
    display: flex;
    font-size: 12px;
    font-style: italic;
    font-weight: 400;
    justify-content: center;
    line-height: 14px;
    margin-top: 10px;
    min-height: 19px;
    text-align: center;
    display: inline-flex;
    padding: 0 20px;
}
.download-container .stats-container {
    align-items: center;
    border-top: 1px solid #383838;
    display: flex;
    height: 62px;
    justify-content: space-evenly
}

.download-container .stats-container .stats-details {
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: center
}

.download-container .stats-container .stats-details .title {
    color: #969696;
    font-size: 12px;
    font-weight: 400;
    letter-spacing: 0;
    line-height: 14px;
    margin-bottom: 4px;
    text-align: center
}

.download-container .stats-container .stats-details .data {
    align-items: center;
    color: #969696;
    display: flex;
    font-size: 20px;
    font-weight: 400;
    letter-spacing: 0;
    line-height: 24px;
    text-align: center
}

.download-container .stats-container .stats-details .data .stars-img {
    height: 9px;
    margin-left: 8px;
    width: 54px
}

.download-container .stats-container .stats-details .data.wSub {
    align-items: baseline
}

.download-container .stats-container .stats-details .data.wSub .sub {
    font-size: 12px;
    font-weight: 400;
    letter-spacing: 0;
    line-height: 14px;
    padding-left: 4px;
    text-align: left
}
.download-container .installguide p{
    color: #fff;
    font-size: 26px;
    font-weight: 700;
    letter-spacing: 0;
    line-height: 30px;
    margin-bottom: 20px;
    margin-top: 20px;
}

.download-container .guide-row {
    display: flex;
    align-items: flex-start;
    margin-bottom: 12px;
}
.download-container .guide-row .guide-no {
    font-size: 18px;
    font-weight: 510;
    margin-right: 10px;
}

.download-container .guide-text {
    font-size: 18px;
}
.download-container .guide-row .guide-content .guide-text span {
    color: #00da87;
}

.download-container .d-flex{
    display: flex;
    flex-direction: row;
    margin: 10px 0px;
}


.card-button.guidebutton.active,.download-container .card-button.guidebutton{
    margin-right:10px;
    border-radius: 4px;
    padding: 15px 6px;
    font-size: 18px;
    display: flex;
    align-items: center;
    justify-content:  space-evenly;
    min-width: 140px;
}

.guide-img-2{
    margin: 20px 0;
}
.guide-note {
    color: rgba(255, 255, 255, .5);
    margin-top: 20px;
}
.guide-img-2 img{
    width: 16rem;
}
.guide-img-3 img{
    width: 4rem;
    margin-top: 10px;
}
.guide-img-group img{
    width: 16rem;
    margin-top: 20px;
    margin-right: 20px;
}
.guide-img-group{
    display: inline-flex;
    flex-direction: row;
    align-items: flex-start;
}

.taptoinstall{
   display: none;
}
.card-subtitle.qrcode{
    display: block;
    width: 116px;
    top: 6px;
    text-align: center;
}
.installguide{
    padding: 0 0 40px 0;
    border-top: 1px solid #2e2e2e;
}


/* Responsive design */
@media screen and (max-width: 768px) {
    .pwa-area {
        flex-direction: column;
    }
    .download-container .card {
        width: 100%;
    }
    .main-container .section-left .main-body .main-content .content-block{
        padding-top:0px
    }
    .download-container .title-container {
        flex-direction: row;
        gap: 10px;
    }
    .download-container .popup-content {
        width: 100%;

    }

    .download-container .guide-img-group{
        flex-direction: column;
    }
    .download-container .stats-container .stats-details .data{
        font-size: 12px;
    }
    .download-container .stats-container .stats-details .title{
        font-size: 10px;
    }
    .download-container .taptoinstall{
        position: absolute;
        right: 34px;
        top: 28px;
        border-radius: 10px;
        display: flex;
        flex-direction: column;
        align-items: center;
        font-size: 15px;
        color: #fff !important;
        text-decoration: none;
     }
     
     .taptoinstall.th{
        right: 28px;
     }
    .taptoinstall.vn{
        right: 9px;
     }
    .taptoinstall img{
        width: 80px;
     }
     .card-image.qrcode{
        display: none;
     }
     .card-subtitle.qrcode{
        display: none;
     }
     .card-title {
        font-size: 18px;
    }
    .card-button.th, .card-button.vn {
        min-width: 150px;
        justify-content: center;
        max-width: 150px;
        font-size: 13px;
    }
    .download-container .container h2 {
        font-size: 18px;
    }
    .download-container .title-container .desc .main{
        font-size: 20px;
        line-height: 20px;
        padding-bottom: 5px;
    }
    .download-container .popup_app .close {
        top: 20px;
        width: 40px;
        height: 40px;
        font-size: 25px;
        top: 20px;
    }
    .download-container .popup-content {
        padding: 20px;
        box-sizing: border-box;
    }
    .download-container .installguide p {
        font-size: 20px;
        font-weight: 700;
        letter-spacing: 0;
        line-height: 12px;

        color: #9462f0;
    }
    .download-container .title-container .logo {
        height: 60px;
        margin-right: 0px;
        width: 60px;
    }
    .download-container .title-container .desc .sub {
        font-size: 13px;
        line-height: 17px;
}

.download-container .guide-row .guide-no {
    font-size: 18px;
}
.download-container .guide-text {
    font-size: 18px;
}
.download-container .guide-note {
    font-size: 15px;
}
} 